Bug 993297 - Data modeler is missing BigInteger type
Data modeler is missing BigInteger type
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ER3
: 6.0.0
Assigned To: Walter Medvedeo
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 15:12 EDT by Jiri Locker
Modified: 2014-08-06 16:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing BigInteger type in Data Modeller Consequence: Possible failure when appending "I" to BigInteger literals in DRL source Fix: Added BigInteger type to Data Modeller Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:00 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-08-05 15:12:28 EDT
Description of problem:
Not sure about byte, but BigInteger should definitely be there as it has support in guided editor (appending "I" to BigInteger literals in DRL source).

Version-Release number of selected component (if applicable):
CR1 (community)

Additional info:
Workaround possible by adding java.math.BigInteger to project import suggestions.
Comment 2 Jan 2013-08-27 06:43:31 EDT
Comitted:
- to 6.0.x/jbpm-form-modeller: d6932fc31d1d243c4dd59f10b1f701825af6745f
- to 6.0.x/kie-wb-common: 894468dc0ab442e200af9ddb6ae1fbf5f53ffedf
Comment 3 Jiri Locker 2013-09-26 04:56:09 EDT
Fixed in ER3. BigInteger was added to Data Modeler.

Note You need to log in before you can comment on or make changes to this bug.